> For the complete documentation index, see [llms.txt](https://docs.bbx.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bbx.com/bbx-dex-public-api/coinmarketcap-integration/spot/spot-market-summary.md).

# Spot Market summary

Returns a market snapshot for all active and tradable BBX spot markets.

Disabled or delisted markets are not included in this endpoint.

### Request

```http
GET /sapi/v4/market/v1/public/cmc/summary
```

### Full URL

```
https://dex.bbx.com/sapi/v4/market/v1/public/cmc/summary
```

### cURL

```bash
curl -s \
  'https://dex.bbx.com/sapi/v4/market/v1/public/cmc/summary'
```

### Parameters

No query parameters are required.

### Response fields

| Field                      | Type   | Requirement | Description                                                       |
| -------------------------- | ------ | ----------: | ----------------------------------------------------------------- |
| `trading_pairs`            | string |    Required | Market-pair identifier, such as `BTC_USDT`                        |
| `base_currency`            | string | Recommended | Base asset symbol                                                 |
| `quote_currency`           | string | Recommended | Quote asset symbol                                                |
| `last_price`               | string |    Required | Latest traded price                                               |
| `lowest_ask`               | string |    Required | Current lowest ask price                                          |
| `highest_bid`              | string |    Required | Current highest bid price                                         |
| `base_volume`              | string |    Required | Rolling 24-hour trading volume in the base asset                  |
| `quote_volume`             | string |    Required | Rolling 24-hour trading volume in the quote asset                 |
| `price_change_percent_24h` | string |    Required | Rolling 24-hour percentage change. Example: `1.25` means `+1.25%` |
| `highest_price_24h`        | string |    Required | Highest traded price during the rolling 24-hour period            |
| `lowest_price_24h`         | string |    Required | Lowest traded price during the rolling 24-hour period             |

### Example response

```json
[
  {
    "trading_pairs": "BTC_USDT",
    "base_currency": "BTC",
    "quote_currency": "USDT",
    "last_price": "66366.10",
    "lowest_ask": "66366.80",
    "highest_bid": "66366.10",
    "base_volume": "185.4508",
    "quote_volume": "12299724.30053",
    "price_change_percent_24h": "1.20",
    "highest_price_24h": "66925.80",
    "lowest_price_24h": "65448.70"
  },
  {
    "trading_pairs": "ETH_USDT",
    "base_currency": "ETH",
    "quote_currency": "USDT",
    "last_price": "1935.17",
    "lowest_ask": "1935.25",
    "highest_bid": "1935.17",
    "base_volume": "1662.009",
    "quote_volume": "3207034.91788",
    "price_change_percent_24h": "0.73",
    "highest_price_24h": "1951.89",
    "lowest_price_24h": "1914.34"
  }
]
```
